Memory Stores
Delete memories by scope
Deletes all memories in the specified memory store that are associated with the provided scope.
Paramètres d’en-tête
Foundry-Features
enum
obligatoire
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Paramètres de chemin d’accès
name
string
obligatoire
The name of the memory store.
Paramètres de la requête
api-version
string
obligatoire
The API version to use for this operation.
Corps de la demande
scope
string
obligatoire
The namespace that logically groups and isolates memories to delete, such as a user ID.
Réponses
The request has succeeded.
Corps
object
enum
obligatoire
The object type. Always 'memory_store.scope.deleted'.
name
string
obligatoire
The name of the memory store.
scope
string
obligatoire
The scope from which memories were deleted.
deleted
boolean
obligatoire
Whether the deletion operation was successful.
Requête
POST /memory_stores/{name}:delete_scope HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json